/**
 * 
 */
package com.ravi.jmsserver;

import javax.jms.JMSException;
import javax.jms.Message;
import javax.jms.MessageListener;
import javax.jms.TextMessage;

/**
 * @author Ravi
 * 
 */
public class ExampleListener implements MessageListener {
    public void onMessage(Message message) {
        try {
            if (message instanceof TextMessage) {
                System.out.println("MESSAGE RECEIVED: " + ((TextMessage) message).getText());
            } else {
                System.out.println("MESSAGE RECEIVED: " + message);
            }
        }
        catch (JMSException e) {
            e.printStackTrace();
        }
    }
}
